Bug 822173 - Table layout problem on configuration page.
Table layout problem on configuration page.
Status: VERIFIED
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: GA
: RHQ 4.13
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 820425
  Show dependency treegraph
 
Reported: 2012-05-16 10:35 EDT by Filip Brychta
Modified: 2014-10-07 03:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot1 (268.42 KB, image/png)
2012-05-16 10:36 EDT, Filip Brychta
no flags Details
screenshot2 (265.58 KB, image/png)
2012-05-16 10:36 EDT, Filip Brychta
no flags Details

  None (edit)
Description Filip Brychta 2012-05-16 10:35:46 EDT
Description of problem:
Title of last columns disappear when previous columns are too wide.

Version-Release number of selected component (if applicable):
Version: 3.1.0.GA
Build Number: 07775cb:4ccefd7

GWT Version: 2.4.0
SmartGWT Version: 3.0


How reproducible:
always

Steps to Reproduce:
1.go to Service Binding Manager resource of your jBoss server to configuration tab (or probably any other big table could be used) see screenshot1.png  
2. make some column wider 
  
Actual results:
see screenshot2.png, last two column titles are hidden

Expected results:
title is not hidden

Additional info:
browsers:
Firefox 12
Chrome Version 19.0.1084.46
Comment 1 Filip Brychta 2012-05-16 10:36:29 EDT
Created attachment 584990 [details]
screenshot1
Comment 2 Filip Brychta 2012-05-16 10:36:58 EDT
Created attachment 584991 [details]
screenshot2
Comment 3 Mike Foley 2012-05-21 11:52:06 EDT
per BZ triage 5/21/2012 (asantos, loleary, ccrouch, mfoley)
Comment 5 Jay Shaughnessy 2014-09-30 10:50:38 EDT
master commit 29368f3515fc3cf00b545ad56c83e08e9dc6fcf6
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Tue Sep 30 10:49:01 2014 -0400

    Work done for Bug 1144459 was unknowingly trying to fix the problem
    reported in Bug 822173.  It succeeded in fixing the column header issue
    but caused the regression reported in Bug 1146846.  This (finally) seems
    to have fixed the problems for all three BZs, working around the Smartgwt
    bug at the root of all of the problems.
Comment 6 Filip Brychta 2014-10-07 03:49:07 EDT
Verified on
Version :	
4.13.0-SNAPSHOT
Build Number :	
1df956d

Note You need to log in before you can comment on or make changes to this bug.